## node-configurable-http-proxy 4.5.3+~cs15.2.4

=== Makefile ===

all: dist/rbtree.min.js dist/bintree.min.js

dist/rbtree.js: lib/rbtree.js lib/treebase.js
	./node_modules/.bin/reunion --ns RBTree $< > $@

dist/bintree.js: lib/bintree.js lib/treebase.js
	./node_modules/.bin/reunion --ns BinTree $< > $@

dist/bintree.min.js: dist/bintree.js
	curl --data-urlencode "js_code@$<" \
		-d "output_info=compiled_code&compilation_level=SIMPLE_OPTIMIZATIONS" \
		http://closure-compiler.appspot.com/compile \
		> $@

dist/rbtree.min.js: dist/rbtree.js
	curl --data-urlencode "js_code@$<" \
		-d "output_info=compiled_code&compilation_level=SIMPLE_OPTIMIZATIONS" \
		http://closure-compiler.appspot.com/compile \
		> $@

## node-configurable-http-proxy 4.5.0+~cs15.1.4

=== debian/changelog ===
node-configurable-http-proxy (4.5.0+~cs15.1.4-1) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Trim trailing whitespace
  * Bump debhelper from old 11 to 13
  * Set upstream metadata fields: Bug-Submit
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright)
  * Update standards version to 4.6.0, no changes needed

  [ Yadd ]
  * Add "Rules-Requires-Root: no"
  * Fix filenamemangle
  * Use dh-sequence-nodejs instead of pkg-js-tools
  * Drop unneeded dependency versioned constraints
  * Mark test dependencies with <!nocheck>
  * Embed prom-client tdigest bintrees
  * Install components in nodejs dir
  * New upstream version 4.5.0+~cs15.1.4
  * Build prom-client
  * Update nodejs dependency to nodejs:any
  * Enable upstream tests (jest)
  * Update copyright
  * Fix description
  * Build configurable-http-proxy manpage with help2man

 -- Yadd <yadd@debian.org>  Wed, 22 Dec 2021 15:00:01 +0100

node-configurable-http-proxy (4.3.2-2) unstable; urgency=medium

  * Update debian/watch.

 -- Roland Mas <lolando@debian.org>  Thu, 11 Nov 2021 23:53:49 +0100

node-configurable-http-proxy (4.3.2-1) unstable; urgency=medium

  * Initial release based on npm2deb template.

 -- Roland Mas <lolando@debian.org>  Thu, 16 Sep 2021 13:07:32 +0200

=== debian/control ===
Source: node-configurable-http-proxy
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , chai <!nocheck>
 , help2man <!nodoc>
 , jest <!nocheck>
 , node-aws-sign2 <!nocheck>
 , node-aws4 <!nocheck>
 , node-caseless <!nocheck>
 , node-combined-stream <!nocheck>
 , node-extend <!nocheck>
 , node-forever-agent <!nocheck>
 , node-form-data <!nocheck>
 , node-har-validator <!nocheck>
 , node-http-proxy <!nocheck>
 , node-http-signature <!nocheck>
 , node-is-typedarray <!nocheck>
 , node-isstream <!nocheck>
 , node-json-stringify-safe <!nocheck>
 , node-lynx <!nocheck>
 , node-mime-types <!nocheck>
 , node-nock <!nocheck>
 , node-oauth-sign <!nocheck>
 , node-performance-now <!nocheck>
 , node-qs <!nocheck>
 , node-safe-buffer <!nocheck>
 , node-strftime <!nocheck>
 , node-tough-cookie <!nocheck>
 , node-tunnel-agent <!nocheck>
 , node-typescript
 , node-underscore <!nocheck>
 , node-uuid <!nocheck>
 , node-winston <!nocheck>
 , nodeunit <!nocheck>
Standards-Version: 4.6.0
Homepage: https://github.com/jupyterhub/configurable-http-proxy#readme
Vcs-Git: https://salsa.debian.org/js-team/node-configurable-http-proxy.git
Vcs-Browser: https://salsa.debian.org/js-team/node-configurable-http-proxy
Rules-Requires-Root: no

Package: node-configurable-http-proxy
Architecture: all
Depends:
 ${misc:Depends}
 , node-commander
 , node-http-proxy
 , node-lynx
 , node-strftime
 , node-winston
 , nodejs:any
Provides:
 ${nodejs:Provides}
Description: configurable-on-the-fly HTTP Proxy in Node.js
 configurable-http-proxy (CHP) provides you with a way to update and
 manage a proxy table using a command line interface or REST API.  It
 is a simple wrapper around node-http-proxy. node-http-proxy is an
 HTTP programmable proxying library that supports websockets and is
 suitable for implementing components such as reverse proxies and load
 balancers. By wrapping node-http-proxy, configurable-http-proxy
 extends this functionality to JupyterHub deployments.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-configurable-http-proxy-$1/ \
 https://github.com/jupyterhub/configurable-http-proxy/tags .*/archive.*/v?([\d\.]+).tar.gz group

opts=\
component=prom-client,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-prom-client-$1/ \
 https://github.com/siimon/prom-client/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=tdigest,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-tdigest-$1/" \
 https://registry.npmjs.org/tdigest https://registry.npmjs.org/tdigest/-/tdigest-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=bintrees,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-bintrees-$1/" \
 https://registry.npmjs.org/bintrees https://registry.npmjs.org/bintrees/-/bintrees-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-configurable-http-proxy 4.5.3+~cs15.2.4

=== debian/changelog ===
node-configurable-http-proxy (4.5.3+~cs15.2.4-3ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/rules: add test.localhost.jovyan.org to NO_PROXY 

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Mar 2023 19:10:29 +0000

node-configurable-http-proxy (4.5.3+~cs15.2.4-3) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.1, no changes needed.
  * Drop tests that depends on obsolete node-request

 -- Yadd <yadd@debian.org>  Mon, 21 Nov 2022 18:18:26 +0100

node-configurable-http-proxy (4.5.3+~cs15.2.4-2) unstable; urgency=medium

  * Team upload
  * Add fix for jest >= 29

 -- Yadd <yadd@debian.org>  Tue, 18 Oct 2022 16:02:13 +0200

node-configurable-http-proxy (4.5.2+~cs15.2.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/rules: add test.localhost.jovyan.org to NO_PROXY 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Aug 2022 10:34:33 +0200

node-configurable-http-proxy (4.5.3+~cs15.2.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.5.3+~cs15.2.4

 -- Yadd <yadd@debian.org>  Sat, 17 Sep 2022 19:16:16 +0200

node-configurable-http-proxy (4.5.2+~cs15.2.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.5.2+~cs15.2.4
  * Update test patch
  * Drop nocheck for node-winston build-dep (fixes nocheck build)

 -- Yadd <yadd@debian.org>  Wed, 24 Aug 2022 13:50:01 +0200

node-configurable-http-proxy (4.5.1+~cs15.1.5-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/rules: add test.localhost.jovyan.org to NO_PROXY

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Aug 2022 15:36:04 +0000

node-configurable-http-proxy (4.5.1+~cs15.1.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.5.1+~cs15.1.5
  * Drop patches for commander 9 and ws 8, fixed upstream
  * Refresh other patches

 -- Yadd <yadd@debian.org>  Sat, 16 Jul 2022 21:45:59 +0200

node-configurable-http-proxy (4.5.0+~cs15.1.4-6) unstable; urgency=medium

  * Team upload
  * Fix prom test for jest 28 (Closes: #1015118)

 -- Yadd <yadd@debian.org>  Sat, 16 Jul 2022 21:24:05 +0200

node-configurable-http-proxy (4.5.0+~cs15.1.4-5) unstable; urgency=medium

  * Team upload
  * Report all patches
  * Declare compliance with policy 4.6.1
  * Add test dependency to node-stealthy-require (Closes: #1015118)

 -- Yadd <yadd@debian.org>  Sat, 16 Jul 2022 19:44:05 +0200

node-configurable-http-proxy (4.5.0+~cs15.1.4-4ubuntu1) kinetic; urgency=medium

  * d/rules: add test.localhost.jovyan.org to NO_PROXY (LP: #1967024)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 29 Apr 2022 15:56:23 -0300

node-configurable-http-proxy (4.5.0+~cs15.1.4-4) unstable; urgency=medium

  * Team upload
  * Add fix for node-commander 9 (Closes: #1008511)

 -- Yadd <yadd@debian.org>  Tue, 29 Mar 2022 16:43:50 +0200

node-configurable-http-proxy (4.5.0+~cs15.1.4-3) unstable; urgency=medium

  * Team upload
  * Fix test for node-ws >= 7

 -- Yadd <yadd@debian.org>  Thu, 24 Feb 2022 10:38:52 +0100

node-configurable-http-proxy (4.5.0+~cs15.1.4-2) unstable; urgency=medium

  * Team upload
  * Enable full upstream test using jasmine

 -- Yadd <yadd@debian.org>  Tue, 15 Feb 2022 18:31:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: node-configurable-http-proxy
 Section: javascript
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Roland Mas <lolando@debian.org>
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
@@ -9,19 +10,20 @@
  , dh-sequence-nodejs
  , chai <!nocheck>
  , help2man <!nodoc>
- , jest <!nocheck>
+ , jest (>= 29) <!nocheck>
  , node-aws-sign2 <!nocheck>
  , node-aws4 <!nocheck>
  , node-caseless <!nocheck>
  , node-combined-stream <!nocheck>
+ , node-commander
  , node-extend <!nocheck>
  , node-forever-agent <!nocheck>
  , node-form-data <!nocheck>
- , node-har-validator <!nocheck>
  , node-http-proxy <!nocheck>
  , node-http-signature <!nocheck>
  , node-is-typedarray <!nocheck>
  , node-isstream <!nocheck>
+ , node-jasmine (>= 4) <!nocheck>
  , node-json-stringify-safe <!nocheck>
  , node-lynx <!nocheck>
  , node-mime-types <!nocheck>
@@ -30,15 +32,17 @@
  , node-performance-now <!nocheck>
  , node-qs <!nocheck>
  , node-safe-buffer <!nocheck>
+ , node-stealthy-require <!nocheck>
  , node-strftime <!nocheck>
  , node-tough-cookie <!nocheck>
  , node-tunnel-agent <!nocheck>
  , node-typescript
  , node-underscore <!nocheck>
  , node-uuid <!nocheck>
- , node-winston <!nocheck>
+ , node-winston
+ , node-ws (>= 7) <!nocheck>
  , nodeunit <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/jupyterhub/configurable-http-proxy#readme
 Vcs-Git: https://salsa.debian.org/js-team/node-configurable-http-proxy.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-configurable-http-proxy

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=nodejs
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	help2man -n 'configurable-on-the-fly HTTP Proxy in Node.js' -N ./bin/configurable-http-proxy > configurable-http-proxy.1
endif

override_dh_auto_test:
	NO_PROXY=$$NO_PROXY,test.localhost.jovyan.org dh_auto_test --buildsystem=nodejs
